package com.engine.organization.mapper.scheme;


import com.engine.organization.entity.scheme.po.SchemePO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Collection;
import java.util.List;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/3/9
 * @Version V1.0
 **/
public interface SchemeMapper {


    /**
     * 根据ID查询登记方案
     * @param schemeNo
     * @return
     */
    @Select("select * from jcl_org_scheme t where scheme_no = #{schemeNo}")
    List<SchemePO> listByNo(String schemeNo);

    /**
     * 根据ID查询登记方案列表
     * @param ids
     * @return
     */
    List<SchemePO> listSchemesById(@Param("ids") Collection<Long> ids);

    /**
     * 新增，忽略null字段
     * @param schemePO
     * @return
     */
    int insertIgnoreNull(SchemePO schemePO);

    /**
     * 修改，修改所有字段
     * @param schemePO
     * @return
     */
    int updateScheme(SchemePO schemePO);

    /**
     * 更新禁用标记
     * @param schemePO
     * @return
     */
    int updateForbiddenTagById(SchemePO schemePO);


    /**
     * 删除记录
     *
     * @param schemePO 待删除的记录
     * @return 返回影响行数
     */
    int deleteScheme(SchemePO schemePO);

    /**
     * 批量删除登记方案
     *
     * @param ids
     */
    int deleteByIds(@Param("ids") Collection<Long> ids);
}
