package com.engine.organization.service;

import com.engine.organization.entity.scheme.param.SchemeSearchParam;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Map;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/4/27
 * @Version V1.0
 **/
public interface SchemeService {

    /**
     * 等级方案列表
     * @param params
     * @return
     */
    Map<String, Object> listPage(Map<String, Object> params);

    /**
     * 新增等级方案
     * @param param
     * @return
     */
    Map<String, Object> save(SchemeSearchParam param);

    /**
     * 更新等级方案信息
     * @param param
     * @return
     */
    Map<String, Object> updateScheme(SchemeSearchParam param);

    /**
     * 更新禁用标记
     * @param params
     */
    void updateForbiddenTagById(Map<String, Object> params);
    /**
     * 根据ID批量删除等级方案信息
     *
     * @param ids
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);

    /**
     * 根据ID删除当前登记方案数据
     * @param param
     */
    void deleteScheme(SchemeSearchParam param);

}
